Skip to content
Start here

Generate fallthrough WAF expression template from a set of API hosts

client.apiGateway.expressionTemplate.fallthrough.create(FallthroughCreateParams { zone_id, hosts } params, RequestOptionsoptions?): FallthroughCreateResponse { expression, title }
POST/zones/{zone_id}/api_gateway/expression-template/fallthrough

Creates an expression template fallthrough rule for API Shield. Used for configuring default behavior when no other expression templates match.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Account API GatewayDomain API Gateway
ParametersExpand Collapse
params: FallthroughCreateParams { zone_id, hosts }
zone_id: string

Path param: Identifier.

maxLength32
hosts: Array<string>

Body param: List of hosts to be targeted in the expression

ReturnsExpand Collapse
FallthroughCreateResponse { expression, title }
expression: string

WAF Expression for fallthrough

title: string

Title for the expression

Generate fallthrough WAF expression template from a set of API hosts

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const fallthrough = await client.apiGateway.expressionTemplate.fallthrough.create({
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
  hosts: ['{zone}.domain1.tld', 'domain2.tld'],
});

console.log(fallthrough.expression);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "expression": "(cf.api_gateway.fallthrough_detected)",
    "title": "Fallthrough Expression for [zone.domain.tld]"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "expression": "(cf.api_gateway.fallthrough_detected)",
    "title": "Fallthrough Expression for [zone.domain.tld]"
  },
  "success": true
}